<?php
@error_reporting(E_ALL ^ E_WARNING ^ E_NOTICE);
@ini_set('display_errors', true);
@ini_set('html_errors', false);
@ini_set('error_reporting', E_ALL ^ E_WARNING ^ E_NOTICE);
define( 'DATALIFEENGINE', true );
define('ROOT_DIR', substr(dirname( __FILE__ ), 0, -12));
define( 'ENGINE_DIR', ROOT_DIR . '/engine' );
define('AUTOMATIC_MOVIE_DIR', ENGINE_DIR . '/modules/automatic_movie');
include_once (AUTOMATIC_MOVIE_DIR . '/config/automatic_movie.php');
include_once (AUTOMATIC_MOVIE_DIR . '/config/automatic_movie_cat.php');
include_once (AUTOMATIC_MOVIE_DIR . '/config/automatic_movie_other.php');
include_once (AUTOMATIC_MOVIE_DIR . '/config/automatic_movie_xf.php');
require_once(AUTOMATIC_MOVIE_DIR . '/functions.php');
header('Content-Type: application/json; charset=' . $config['charset']);
 if ($config_automatic_movie["allow_mod"] != 'on') {
	  $data       = array(
        'status'     => 'Automatic Movie - отключено'
       );
	   echo json_encode($data, JSON_PRETTY_PRINT | JSON_UNESCAPED_UNICODE);
       exit();
     }
require_once(ENGINE_DIR . '/api/api.class.php');
$time_cache = ((!is_numeric($config_automatic_movie['time_mod'])) ? '900' : $config_automatic_movie['time_mod']);
$cache = $dle_api->load_from_cache( 'automatic_movie', $time_cache);
if (!empty($cache)) {
    $data       = array(
        'status'     => 'Automatic Movie - пауза'
       );
	   echo json_encode($data, JSON_PRETTY_PRINT | JSON_UNESCAPED_UNICODE);
       exit();
} 
$dle_api->save_to_cache ( 'automatic_movie', true);
 
$arr_rss_encode = get_web_page('http://mlfilm.ml/rss.json');
$arr_rss = json_decode($arr_rss_encode['content'] , true);
if(empty($arr_rss["results"])){
	$data       = array(
        'status'     => 'Automatic Movie - сервис временно недоступен'
       );
	   echo json_encode($data, JSON_PRETTY_PRINT | JSON_UNESCAPED_UNICODE);
       exit();	
}
include_once(ENGINE_DIR . '/classes/plugins.class.php');
include_once(ENGINE_DIR . '/classes/parse.class.php');
$parse = new ParseFilter();
include_once(ROOT_DIR .'/language/Russian/website.lng');
require_once(ENGINE_DIR . '/modules/functions.php');

// Разные переменные  для подсчёта всякой полезной информации
$xfields_arr = array();
foreach ( xfieldsload() as $value_xf ) {
 $xfields_arr[]= $value_xf[0];
	  }
$cat_info = $db->query("SELECT * FROM " . PREFIX . "_category"); 

    $newsItem = array();
	foreach ($arr_rss["results"] as $item) {
        $title_ru = trim($item["title"]);
        $year = trim($item["year"]);
        $title_eng = trim($item["title_eng"]);
		// ЧПУ
		$alt_name = trim( $parse->process( stripslashes( strip_tags($title_ru.' '.$year.' '.$title_eng) ) ) );
        $newsItem_alt_name = $db->safesql( chpuCut($alt_name),190 );
        
		// Откидываем те новости, которые уже были обработаны ранее
		$news_count = $db->super_query("SELECT alt_name FROM " . PREFIX . "_post WHERE alt_name ='{$newsItem_alt_name}'"); 
		if (!empty($news_count)) {
			continue;
		}
        
		$newsItem['alt_name'] = $newsItem_alt_name;

		// Автор новости
		$autor_group = ((!is_numeric($config_automatic_movie["autor_group"])) ? '1' : $config_automatic_movie['autor_group']);
        $autor = $db->super_query("SELECT name FROM " . PREFIX . "_users  WHERE user_group='{$autor_group}' ORDER BY RAND() LIMIT 1"); 
        if(empty($autor)){
        $autor = $db->super_query("SELECT name FROM " . PREFIX . "_users  WHERE user_group='1' ORDER BY RAND() LIMIT 1"); 	
         }
		$newsItem['autor'] = str_replace(array("`", "'"), '', $autor['name']);

		// Дата новости, текущее время с поправкой на зону (из настроек DLE).
		$thistime = date("Y-m-d H:i:s", time() + ($config['date_adjust'] * 60));
        $newsItem['date'] = $thistime;

		// Заголовок новости
		 $title_type = ((!is_numeric($config_automatic_movie_other['title_type'])) ? '' : $config_automatic_movie_other['title_type']);
        switch ($title_type) {
			case '1':
				$title = $title_ru;
				break;
            case '2':
				$title = $title_ru.' '. $year;
				break;
		    case '3':
				if($title_eng){
              $title = $title_ru.' '. $year.' ('.$title_eng.')';		
                 }else{
              $title = $title_ru.' '. $year;	
              }
				break;
   
			default:
				$title = $title_ru;
				break;
		}


        $newsItem['title'] = $db->safesql( $parse->process( trim( strip_tags ($title) ) ) );
       
       // Meta title
       $pre_meta_title = trim(((empty($config_automatic_movie_other['pre_meta_title'])) ? '' : $config_automatic_movie_other['pre_meta_title']));
       $suf_meta_title = trim(((empty($config_automatic_movie_other['suf_meta_title'])) ? '' : $config_automatic_movie_other['suf_meta_title']));
       $meta_title_type = trim(((empty($config_automatic_movie_other['meta_title'])) ? '' : $config_automatic_movie_other['meta_title']));
       switch ($meta_title_type) {
			case '1':
				$meta_title = $title_ru;
				break;
            case '2':
				$meta_title = $title_ru.' '.$year;
				break;
		    case '3':
				if($title_eng){
               $meta_title = $title_ru.' '.$year.' ('.$title_eng.')';		
                 }else{
               $meta_title = $title_ru.' '.$year;	
              }
				break;
   
			default:
				$meta_title = $title_ru;
				break;
		}
		  
		 $news_meta_title = trim($pre_meta_title.' '.$meta_title.' '.$suf_meta_title);
         $newsItem['metatitle'] = $db->safesql( $parse->process( trim( strip_tags ($news_meta_title) ) ) );
     
	 
	   //Meta Keywords
	     $keywords_type = ((!is_numeric($config_automatic_movie_other["keywords_type"])) ? '' : $config_automatic_movie_other['keywords_type']); 
        switch ($keywords_type) {
			case '1':
				$meta_keywords = createMetaKeywords($news_meta_title);
				break;
            case '2':
				$meta_keywords = createMetaKeywords($news_meta_title.' '.implode(" ", $item["category"]));
				break;
		    case '3':
			    $meta_keywords = createMetaKeywords($news_meta_title.' '.implode(" ", $item["category"]).' '.$item["description"]);		
               
				break;
           default:
				$meta_keywords = createMetaKeywords($news_meta_title.' '.implode(" ", $item["category"]).' '.$item["description"]);		
               break;
		}

       $newsItem['keywords'] = $meta_keywords['keywords'];  
    
	  //Meta Description
	     $description_type = ((!is_numeric($config_automatic_movie_other["description_type"])) ? '' : $config_automatic_movie_other['description_type']); 
        switch ($description_type) {
			case '1':
				$meta_description = createMetaDescription($item["description"]);
				break;
            case '2':
				$meta_description = createMetaDescription($news_meta_title.'. '.$item["description"]);
				break;
		    case '3':
			    $meta_description = createMetaDescription($news_meta_title.'. '.implode(", ", $item["category"]).'. '.$item["description"]);		
               
				break;
           default:
				$meta_description = createMetaDescription($news_meta_title.'. '.implode(", ", $item["category"]).'. '.$item["description"]);		
               break;
		}

        $newsItem['descr'] = $meta_description['description'];  
	
	
		
		// Публиковать без модерации
		$newsItem['approve'] = ((!is_numeric($config_automatic_movie["approve"])) ? '0' : '1');
		
		// Разрешить комментарии
		$newsItem['allow_comm'] = ((!is_numeric($config_automatic_movie["allow_comm"])) ? '0' : '1');

		
		// Разрешить на главной
		$newsItem['allow_main'] = ((!is_numeric($config_automatic_movie["allow_main"])) ? '0' : '1');

	    // Разрешить рейтинг
		$newsItem['allow_rate'] = ((!is_numeric($config_automatic_movie["allow_rating"])) ? '0' : '1');

	    //Опубликовать новость в RSS потоке
		$newsItem['allow_rss'] = ((!is_numeric($config_automatic_movie["allow_rss"])) ? '0' : '1');
        
		//Использовать в Яндекс Турбо
		$newsItem['allow_rss_turbo'] = ((!is_numeric($config_automatic_movie["allow_rss_turbo"])) ? '0' : '1');
 
        //Использовать в Яндекс Дзен
		$newsItem['allow_rss_dzen'] = ((!is_numeric($config_automatic_movie["allow_rss_dzen"])) ? '0' : '1');

		//Теги
		$tags_key = createMetaKeywords(implode(" ", $item["category"]));	
		$newsItem['tags'] = mb_strtolower($tags_key["keywords"].((empty($year)) ? '' : ', '.$year).((empty($item["type"])) ? '' : ', '.$item["type"]));

        //Категории
		$cat_default = ((!is_numeric($config_automatic_movie_cat["cat"])) ? '' : $config_automatic_movie_cat["cat"]); // по умолчанию
	if($config_automatic_movie_cat["allow_auto_cat"] == 'on' && $newsItem['tags'] !=''){
		
		$option_cat = array();
		foreach ($cat_info as $cat_value) {
        $option_cat[$cat_value["id"]] = mb_strtolower($cat_value["name"]);
         }
		
	 $words =  array_map('trim', explode(",", $newsItem['tags']));
     $result_cat = array();
      foreach($words as $word) {
        if (mb_strlen($word, $config['charset'])>2) {
			if (mb_strlen($word, $config['charset'])>7) {
                $word=mb_substr($word,0,(mb_strlen($word, $config['charset'])-3), $config['charset']); 
            }elseif (mb_strlen($word, $config['charset'])>6) { 
                $word=mb_substr($word,0,(mb_strlen($word, $config['charset'])-2), $config['charset']);   
             }
            foreach ($option_cat as  $key_word=>$val_word){
                 if (mb_strpos($val_word, $word)!==false){
                      $result_cat[] = $key_word;
                   }
			   }
           }
        }
	  	$result_cat = array_unique($result_cat);
        if(!empty($result_cat)){
		     if(!empty($config["allow_multi_category"])){
		$newsItem['category'] = implode(",", $result_cat); 
		      }else{
		$rand_keys = array_rand($result_cat, 1);
		$newsItem['category'] = $result_cat[$rand_keys]; 	 
		     }	
			}else{
		$newsItem['category'] = $cat_default;	
		   }
		 }else{
		$newsItem['category'] = $cat_default;
		}
		
		// Символьный код
		$newsItem['symbol'] = dle_substr(translit($title_ru), 0, 1, $config['charset']);
        
		//Изобоажения на сервер
     if((!empty($item["poster"]) && $config_automatic_movie_other['save_img']=='on')){		
		$dir = date("Y-m");
        $link = $item["poster"];
        $file = file_get_contents($link);
        $file_name = (time() + rand( 1, 100 )) . '_' . basename($link);
  
        mkdir(ROOT_DIR . '/uploads/posts/' . $dir);
       $result_uploads_img = file_put_contents(ROOT_DIR . '/uploads/posts/' . $dir .'/'. $file_name, $file);
      if(!empty($result_uploads_img)){
	  $images_table = $dir.'/'.$file_name;
	  $item["poster"] = $config['http_home_url'] . 'uploads/posts/'.$dir.'/'.$file_name;
	  }
	 }
	 if((!empty($item['poster']) && $config_automatic_movie_other['insert_img'] =='on')){
	$img_post	= '<p><img class="post-image" src="' . $item['poster'] . '" alt="'.$newsItem['title'].'" /></p>';
	 }
	 
	 // Краткая новость
	    $newsItem['short_story'] = $img_post.$db->safesql( $parse->BB_Parse( $parse->process( strip_tags (textLimit($item["description"],((!is_numeric($config_automatic_movie_other["short_story_limit"])) ? '200' : $config_automatic_movie_other['short_story_limit']) )) ), false ) );
		// Полная новость
		$newsItem['full_story'] = $db->safesql( $parse->BB_Parse( $parse->process( strip_tags (textLimit($item["description"],2000)) ), false ) );
		
	 
		//Xfields
	$xfields_load_arr = array();
   foreach ($config_automatic_movie_xf as $key_movie_xf => $value_movie_xf) {
      if (($key_movie_xf == 'title') && in_array($value_movie_xf, $xfields_arr)){
		 $title_xf = $db->safesql( $parse->process( trim( strip_tags ( $item["title"]) ) ) );
		 if(!empty($title_xf)){
		 $xfields_load_arr[$value_movie_xf] = $title_xf;
		 }
	  }
	  if (($key_movie_xf == 'title_eng') && in_array($value_movie_xf, $xfields_arr)){
		  $title_eng_xf = $db->safesql( $parse->process( trim( strip_tags ( $item["title_eng"]) ) ) );
		  if(!empty($title_eng_xf)){
		  $xfields_load_arr[$value_movie_xf] = $title_eng_xf;
		  }
	  }
	  if (($key_movie_xf == 'year') && in_array($value_movie_xf, $xfields_arr)){
		  $year_xf = $db->safesql( $parse->process( trim( strip_tags ( $item["year"]) ) ) );
		  if(!empty($year_xf)){
		  $xfields_load_arr[$value_movie_xf] = $year_xf;
		  }
	  }
	   if (($key_movie_xf == 'slogan') && in_array($value_movie_xf, $xfields_arr)){
		  $slogan_xf = $db->safesql( $parse->process( trim( strip_tags ( $item["slogan"]) ) ) );
	      if(!empty($slogan_xf)){
	      $xfields_load_arr[$value_movie_xf] = $slogan_xf;
	     }
	  }
	   if (($key_movie_xf == 'age') && in_array($value_movie_xf, $xfields_arr)){
	     $age_xf = $db->safesql( $parse->process( trim( strip_tags ( $item["age"]) ) ) );
	     if(!empty($age_xf)){
	     $xfields_load_arr[$value_movie_xf] = $age_xf;
	   }
	  }
	   if (($key_movie_xf == 'type') && in_array($value_movie_xf, $xfields_arr)){
	     $type_xf = $db->safesql( $parse->process( trim( strip_tags ( $item["type"]) ) ) );
	     if(!empty($type_xf)){
	     $xfields_load_arr[$value_movie_xf] = $type_xf;
	   }
	  }
	   if (($key_movie_xf == 'quality') && in_array($value_movie_xf, $xfields_arr)){
	     $quality_xf = $db->safesql( $parse->process( trim( strip_tags ( $item["quality"]) ) ) );
	     if(!empty($quality_xf)){
	     $xfields_load_arr[$value_movie_xf] = $quality_xf;
	   }
	  }
	   if (($key_movie_xf == 'imdb_rating') && in_array($value_movie_xf, $xfields_arr)){
	     $imdb_rating_xf = $db->safesql( $parse->process( trim( strip_tags ( $item["imdb_rating"]) ) ) );
	     if(!empty($imdb_rating_xf)){
	     $xfields_load_arr[$value_movie_xf] = $imdb_rating_xf;
	   }
	  }
	   if (($key_movie_xf == 'kinopoisk_rating') && in_array($value_movie_xf, $xfields_arr)){
	     $kinopoisk_rating_xf = $db->safesql( $parse->process( trim( strip_tags ( $item["kinopoisk_rating"]) ) ) );
	     if(!empty($kinopoisk_rating_xf)){
	     $xfields_load_arr[$value_movie_xf] = $kinopoisk_rating_xf;
	   }
	  }
	   if (($key_movie_xf == 'time') && in_array($value_movie_xf, $xfields_arr)){
	     $time_xf = $db->safesql( $parse->process( trim( strip_tags ( $item["time"]) ) ) );
	     if(!empty($time_xf)){
	     $xfields_load_arr[$value_movie_xf] = $time_xf;
	   }
	  }
	   if (($key_movie_xf == 'premier') && in_array($value_movie_xf, $xfields_arr)){
	     $premier_xf = $db->safesql( $parse->process( trim( strip_tags ( $item["premier"]) ) ) );
	     if(!empty($premier_xf)){
	     $xfields_load_arr[$value_movie_xf] = $premier_xf;
	   }
	  }
	   if (($key_movie_xf == 'budget') && in_array($value_movie_xf, $xfields_arr)){
		 $budget_xf = $db->safesql( $parse->process( trim( strip_tags ( $item["budget"]) ) ) );
	     if(!empty($budget_xf)){
	     $xfields_load_arr[$value_movie_xf] = $budget_xf;
		}
	  }
	   if (($key_movie_xf == 'iframe_url') && in_array($value_movie_xf, $xfields_arr)){
	     $iframe_url_xf = $item["iframe_url"];
	     if(!empty($iframe_url_xf)){
	     $xfields_load_arr[$value_movie_xf] = $iframe_url_xf;
	   }
	  }
	   if (($key_movie_xf == 'trailers_url') && in_array($value_movie_xf, $xfields_arr)){
		 $trailers_url_xf = $item["trailers_url"];
	     if(!empty($trailers_url_xf)){
	     $xfields_load_arr[$value_movie_xf] = $trailers_url_xf;
	   }
	  }
	   if (($key_movie_xf == 'voiceActing') && in_array($value_movie_xf, $xfields_arr)){
		 $voiceActing_xf = $db->safesql( $parse->process( trim( strip_tags ( implode(", ", $item["voiceActing"])) ) ) );
	     if(!empty($voiceActing_xf)){
	     $xfields_load_arr[$value_movie_xf] = $voiceActing_xf;
		}
	  }
	   if (($key_movie_xf == 'poster') && in_array($value_movie_xf, $xfields_arr)){
		 $poster_xf = $item["poster"];
	     if(!empty($poster_xf)){
	     $xfields_load_arr[$value_movie_xf] = $poster_xf;
	     }else{
		 $xfields_load_arr[$value_movie_xf] = $config['http_home_url'].'templates/'.$config["skin"].'/dleimages/no_image.jpg';  
	     }
	  }
	   if (($key_movie_xf == 'country') && in_array($value_movie_xf, $xfields_arr)){
		 $country_xf = $db->safesql( $parse->process( trim( strip_tags ( implode(", ", $item["country"])) ) ) );
	     if(!empty($country_xf)){
	     $xfields_load_arr[$value_movie_xf] = $country_xf;
	   }
	  }
	   if (($key_movie_xf == 'director') && in_array($value_movie_xf, $xfields_arr)){
		 $director_xf = $db->safesql( $parse->process( trim( strip_tags ( implode(", ", $item["director"])) ) ) );
	     if(!empty($director_xf)){
	     $xfields_load_arr[$value_movie_xf] = $director_xf;
		}
	  }
	   if (($key_movie_xf == 'screenwriter') && in_array($value_movie_xf, $xfields_arr)){
		 $screenwriter_xf = $db->safesql( $parse->process( trim( strip_tags ( implode(", ", $item["screenwriter"])) ) ) );
	     if(!empty($screenwriter_xf)){
	     $xfields_load_arr[$value_movie_xf] = $screenwriter_xf;
	   }
	  }
	   if (($key_movie_xf == 'producer') && in_array($value_movie_xf, $xfields_arr)){
		 $producer_xf = $db->safesql( $parse->process( trim( strip_tags ( implode(", ", $item["producer"])) ) ) );
	     if(!empty($producer_xf)){
	     $xfields_load_arr[$value_movie_xf] = $producer_xf;
		}
	  }
	   if (($key_movie_xf == 'operator') && in_array($value_movie_xf, $xfields_arr)){
		 $operator_xf = $db->safesql( $parse->process( trim( strip_tags ( implode(", ", $item["operator"])) ) ) );
	     if(!empty($operator_xf)){
	     $xfields_load_arr[$value_movie_xf] = $operator_xf;
	   }
	  }
	   if (($key_movie_xf == 'composer') && in_array($value_movie_xf, $xfields_arr)){
		 $composer_xf = $db->safesql( $parse->process( trim( strip_tags ( implode(", ", $item["composer"])) ) ) );
	     if(!empty($composer_xf)){
	     $xfields_load_arr[$value_movie_xf] = $composer_xf;
		}
	  }
	   if (($key_movie_xf == 'design') && in_array($value_movie_xf, $xfields_arr)){
		 $design_xf = $db->safesql( $parse->process( trim( strip_tags ( implode(", ", $item["design"])) ) ) );
	     if(!empty($design_xf)){
	     $xfields_load_arr[$value_movie_xf] = $design_xf;
	   }
	  }
	   if (($key_movie_xf == 'editor') && in_array($value_movie_xf, $xfields_arr)){
		 $editor_xf = $db->safesql( $parse->process( trim( strip_tags ( implode(", ", $item["editor"])) ) ) );
	     if(!empty($editor_xf)){
	     $xfields_load_arr[$value_movie_xf] = $editor_xf;
	   }
	  }
	   if (($key_movie_xf == 'actors') && in_array($value_movie_xf, $xfields_arr)){
		 $actors_xf = $db->safesql( $parse->process( trim( strip_tags ( implode(", ", $item["actors"])) ) ) );
	     if(!empty($actors_xf)){
	     $xfields_load_arr[$value_movie_xf] = $actors_xf;
		}
	  }
    }
	
	if(!empty($xfields_load_arr)){
		$xf = array();
     foreach ($xfields_load_arr as $key_x => $value_x) {
       $xf[] =  $key_x.'|'.$value_x;
       }
	
	// Дополнительные поля
	$newsItem['xfields'] = implode("||", $xf) ;
	}  
	 
	if(!empty($newsItem)){ 
	   break;
	 } 
	}
//var_dump($newsItem);
 
  if(empty($newsItem['alt_name'])){
	$data       = array(
        'status'     => 'Automatic Movie - в источнике пока нет новых публикаций'
       );
	   echo json_encode($data, JSON_PRETTY_PRINT | JSON_UNESCAPED_UNICODE);
       exit();	
  }

       /**
		 * Пишем в БД
		 */
		 
		if ($newsItem['title'] != "" && $newsItem['alt_name'] != "" && $newsItem['autor'] != "") {
			$db->query("INSERT INTO " . PREFIX . "_post
				(
					 date,
					 autor,
					 short_story,
					 full_story,
					 xfields,
					 title,
					 descr,
					 keywords,
					category,
					 alt_name,
					 allow_comm,
					 approve,
					 allow_main,
					 tags,
					 symbol,
					 metatitle
					
				)
				values (
					'" . $newsItem['date'] . "',
					'" . $newsItem['autor'] . "',
					'" . $newsItem['short_story'] . "',
					'" . $newsItem['full_story'] . "',
					'" . $newsItem['xfields'] . "',
					'" . $newsItem['title'] . "',
					'" . $newsItem['descr'] . "',
					'" . $newsItem['keywords'] . "',
					'" . $newsItem['category'] . "',
					'" . $newsItem['alt_name'] . "',
					'" . $newsItem['allow_comm'] . "',
					'" . $newsItem['approve'] . "',
					'" . $newsItem['allow_main'] . "',
					'" . $newsItem['tags'] . "',
					'" . $newsItem['symbol'] . "',
					'" . $newsItem['metatitle'] . "'
				)");
			$row['id'] = $db->insert_id();
    if(empty($row['id'])){
	    $data  = array(
        'status'     => 'Automatic Movie - публикация не добавлена'
         );
	    echo json_encode($data, JSON_PRETTY_PRINT | JSON_UNESCAPED_UNICODE);
        exit();	
      }



			$db->query("INSERT INTO " . PREFIX . "_post_extras (news_id, allow_rate, votes, disable_index, access, allow_rss, allow_rss_turbo, allow_rss_dzen) VALUES('{$row['id']}', '" . $newsItem['allow_rate'] . "', '0', '0', '', '" . $newsItem['allow_rss'] . "', '" . $newsItem['allow_rss_turbo'] . "', '" . $newsItem['allow_rss_dzen'] . "')");
			$db->query("UPDATE " . USERPREFIX . "_users set news_num=news_num+1 where name='{$newsItem['autor']}'");

			if ($newsItem['tags'] != "") {

				$tags_arr = array();
				$tags     = explode(",", $newsItem['tags']);

				foreach ($tags as $value) {
					$tags_arr[] = "('" . $row['id'] . "', '" . trim($value) . "')";
				}

				$tags_arr = implode(", ", $tags_arr);
				$db->query("INSERT INTO " . PREFIX . "_tags (news_id, tag) VALUES " . $tags_arr);
				

			}

			if (isset($tags)) {
				unset($tags);
			}
           
	if(!empty($xfields_load_arr)){
		$xf_in = array();
     foreach ($xfields_load_arr as $key_t => $value_t) {
	   $xf_value = array();
	   $xf_value[] =  explode(",", $value_t);
	  foreach ($xf_value[0]  as $value_xf_value) {
	    $xf_in[] = "('" . $row['id'] . "', '" . trim($key_t) . "', '" . trim($value_xf_value) . "')";
		}
       }
	if(!empty($xf_in)){
	$xf_insert = implode(", ", $xf_in);
	$db->query("INSERT INTO " . PREFIX . "_xfsearch (news_id, tagname, tagvalue) VALUES " . $xf_insert);	
	  }
	}  
		   
		   
		   if ($newsItem['category'] != "") {

				$category_arr = array();
				$category     = explode(",", $newsItem['category']);

				foreach ($category as $value_category) {
					$category_arr[] = "('" . $row['id'] . "', '" . trim($value_category) . "')";
				}

				$category_arr = implode(", ", $category_arr);
				$db->query("INSERT INTO " . PREFIX . "_post_extras_cats (news_id, 	cat_id) VALUES " . $category_arr);
				

			}
		   
		   
		   
		   
			if(!empty($images_table)){
			$db->query("INSERT INTO " . PREFIX . "_images (images, news_id, author, date) VALUES('{$images_table}', '{$row['id']}', '{$newsItem['autor']}', '" . time() . "')");
				
			}
	 $data  = array(
        'status'     => 'Automatic Movie - "'.$newsItem['title'].'" успешно опубликовано'
         );
	    echo json_encode($data, JSON_PRETTY_PRINT | JSON_UNESCAPED_UNICODE);
        exit();			
	
		}else{

	  $data = array(
        'status'     => 'Automatic Movie - что не так, попробуйте позже'
       );
	   echo json_encode($data, JSON_PRETTY_PRINT | JSON_UNESCAPED_UNICODE);
       exit();	

		}

?>

