<?php
if (!defined('DATALIFEENGINE') || !defined('LOGGED_IN')) {
	die('Hacking attempt!');
}
/**
 * @global $member_id
 */

define('MODULE_DIR', ENGINE_DIR . '/modules/automatic_movie');



if ($member_id['user_group'] != 1) {
    msg("error", $lang['index_denied'], $lang['index_denied']);
}
# Стандартная безопасность == END.

# Подключаем конфиг == START.
@include (MODULE_DIR.'/config/automatic_movie.php');
@include (MODULE_DIR.'/config/automatic_movie_other.php');
@include (MODULE_DIR.'/config/automatic_movie_cat.php');
@include (MODULE_DIR.'/config/automatic_movie_xf.php');
# Подключаем конфиг == END.
if ($action != "save" && $action != "save_other" && $action != "save_cat" && $action != "save_xf") {
echoheader('Automatic Movie Import for DLE', 'Automatic Movie Import for DLE v.1.0');

echo <<<HTML
<div class="navbar navbar-default navbar-component navbar-xs systemsettings">
	<div class="navbar-collapse collapse" id="navbar-filter">
		<ul class="nav navbar-nav">
			<li><a href="$PHP_SELF?mod=automatic_movie" class="tip legitRipple" title="" data-original-title="Общие настройки"><i class="fa fa-cog"></i> Общие настройки</a></li>
			<li><a href="$PHP_SELF?mod=automatic_movie&action=other" class="tip legitRipple" title="" data-original-title="Другие настройки"><i class="fa fa-picture-o" ></i> Другие</a></li>
			<li><a href="$PHP_SELF?mod=automatic_movie&action=cat" class="tip legitRipple" title="" data-original-title="Настройки категорий"><i class="fa fa-list"></i> Категории</a></li>
			<li><a href="$PHP_SELF?mod=automatic_movie&action=xf" class="tip legitRipple" title="" data-original-title="Настройки доп. полей"><i class="fa fa-file-text" ></i> Доп. поля</a></li>
			
		</ul>
	</div>
</div>
HTML;
//if(!$config["allow_cache"]){
//$allow_cache = 'Данная опция не будет работать, так как выключен системный кеш. Рекомендуем Включить кеширование на сайте!<br><b>Настройка системы &raquo; Оптимизация</b>';
//echo '<div class="alert alert-warning alert-styled-left alert-arrow-left alert-component">Рекомендуем Включить кеширование на сайте!<br> Кеширование существенно сокращает нагрузку на сервер, сводя количество запросов к минимуму.<br> 
//<b>Настройка системы &raquo; Оптимизация</b> </div>';
//}else{
//$allow_cache = 'Включения данной опции существенно сокращает нагрузку на сервер, сводя количество запросов к минимуму';
//}

}
if ($action == "") {


if($config_automatic_movie['allow_mod']=='on'){
$checked_allow_mod = 'checked';
$allow_mod = '<b style="color: #4CAF50;">Включено</b>';
}else{
$allow_mod = '<b style="color: #F44336;">Отключено</b>';
}

if($config_automatic_movie['time_mod']=='60'){
$selected_60 = 'selected';
}else if($config_automatic_movie['time_mod']=='900'){
$selected_900 = 'selected';
}else if($config_automatic_movie['time_mod']=='1800'){
$selected_1800 = 'selected';
}else if($config_automatic_movie['time_mod']=='3600'){
$selected_3600 = 'selected';
}
$option_autor = '';
foreach ($user_group as $value) {
   $option_autor .= '<option value="'.$value["id"].'" '.(($config_automatic_movie['autor_group'] == $value["id"]) ? 'selected' : '').' >'.$value["group_name"].'</option>';
}
$approve_checked = ((!empty($config_automatic_movie['approve'])) ? 'checked' : '');
$allow_main_checked = ((!empty($config_automatic_movie['allow_main'])) ? 'checked' : '');
$allow_rating_checked = ((!empty($config_automatic_movie['allow_rating'])) ? 'checked' : '');
$allow_comm_checked = ((!empty($config_automatic_movie['allow_comm'])) ? 'checked' : '');
$allow_rss_checked = ((!empty($config_automatic_movie['allow_rss'])) ? 'checked' : '');
$allow_rss_turbo_checked = ((!empty($config_automatic_movie['allow_rss_turbo'])) ? 'checked' : '');
$allow_rss_dzen_checked = ((!empty($config_automatic_movie['allow_rss_dzen'])) ? 'checked' : '');
echo <<<HTML
<form action="$PHP_SELF?mod=automatic_movie&action=save" method="post" class="systemsettings">
<div id="security" class="panel panel-flat" style="">
  <div class="panel-body alert alert-info alert-styled-left alert-arrow-left alert-component">
    Настройки
  </div>
  <div class="table-responsive">
  <table class="table table-striped"><tbody>
		<tr>
        <td class="col-xs-6 col-sm-6 col-md-7"><h6 class="media-heading text-semibold">{$allow_mod}</h6>
		<span class="text-muted text-size-small hidden-xs">Добавлять фильмы, сериалы, мультфильмы автоматически?</span></td>
        <td class="col-xs-6 col-sm-6 col-md-5">
<input class="switch allow_mod" type="checkbox" name="save_con[allow_mod]" {$checked_allow_mod} data-switchery="true" style="display: none;">
		</td>
        </tr>
		<tr>
        <td class="col-xs-6 col-sm-6 col-md-7"><h6 class="media-heading text-semibold">Интервал публикаций</h6>
		<span class="text-muted text-size-small hidden-xs">Выберите интервал времени через которое добавлять новую публикацию</span></td>
        <td class="col-xs-6 col-sm-6 col-md-5">
		<div class="btn-group bootstrap-select uniform">
		<select class="uniform" name="save_con[time_mod]" tabindex="-98">
<option value="60" {$selected_60} >Каждую минуту</option>
<option value="900" {$selected_900} >Каждых 15 минут</option>
<option value="1800" {$selected_1800} >Каждых 30 минут</option>
<option value="3600" {$selected_3600} >Каждый час</option>
</select></div></td>
        </tr>
		<tr>
        <td class="col-xs-6 col-sm-6 col-md-7"><h6 class="media-heading text-semibold">Автор публикации</h6>
		<span class="text-muted text-size-small hidden-xs">Выберите группу пользователей с которой будет браться случайный автор публикации</span></td>
        <td class="col-xs-6 col-sm-6 col-md-5">
		<div class="btn-group bootstrap-select uniform">
		<select class="uniform" name="save_con[autor_group]" tabindex="-98">
          {$option_autor}
       </select>
       </div></td>
        </tr>
		<tr>
        <td class="col-xs-6 col-sm-6 col-md-6"><div class="checkbox"><label><input class="icheck" type="checkbox" id="approve" name="save_con[approve]" value="1" {$approve_checked}>Публиковать без модерации</label></div></td>
        <td class="col-xs-6 col-sm-6 col-md-6"><div class="checkbox" id="opt_holder_main"><label><input class="icheck" type="checkbox" id="allow_main" name="save_con[allow_main]" value="1" {$allow_main_checked}>Публиковать на главной</label></div></td>
        </tr> 
		<tr>
        <td class="col-xs-6 col-sm-6 col-md-6"><div class="checkbox" id="opt_holder_rating"><label><input class="icheck" type="checkbox" id="allow_rating" name="save_con[allow_rating]" value="1" {$allow_rating_checked}>Разрешить рейтинг статьи</label></div></td>
        <td class="col-xs-6 col-sm-6 col-md-6"><div class="checkbox" id="opt_holder_comments"><label><input class="icheck" type="checkbox" id="allow_comm" name="save_con[allow_comm]" value="1" {$allow_comm_checked}>Разрешить комментарии</label></div></td>
        </tr> 
		<tr>
        <td class="col-xs-6 col-sm-6 col-md-6"><div class="checkbox"><label><input class="icheck" type="checkbox" name="save_con[allow_rss]" value="1" {$allow_rss_checked}>Опубликовать новость в RSS потоке</label></div></td>
        <td class="col-xs-6 col-sm-6 col-md-6"><div class="checkbox"><label><input class="icheck" type="checkbox" name="save_con[allow_rss_turbo]" id="allow_rss_turbo" value="1" {$allow_rss_turbo_checked}>Использовать в Яндекс Турбо</label></div></td>
        </tr> 
		<tr>
        <td class="col-xs-6 col-sm-6 col-md-6"><div class="checkbox"><label><input class="icheck" type="checkbox" name="save_con[allow_rss_dzen]" id="allow_rss_dzen" value="1" {$allow_rss_dzen_checked}>Использовать в Яндекс Дзен</label></div></td>
        <td class="col-xs-6 col-sm-6 col-md-6"> </td>
        </tr> 
		</tbody>
		</table>
		</div>
		</div>

<div class="box-footer padded">
                   <input type="hidden" name="user_hash" value="{$dle_login_hash}" />
					<button type="submit" class="btn bg-teal btn-raised position-left legitRipple"><i class="fa fa-floppy-o position-left"></i>{$lang['user_save']}</button>
				</div>

			</form>
	
	<br> 
HTML;

echofooter();
}
if ($action == "other") {

if($config_automatic_movie_other['save_img']=='on'){
$checked_save_img = 'checked';
$save_img = '<b style="color: #4CAF50;">Включено</b>';
}else{
$save_img = '<b style="color: #F44336;">Отключено</b>';
}
if($config_automatic_movie_other['insert_img']=='on'){
$checked_insert_img = 'checked';
$insert_img = '<b style="color: #4CAF50;">Включено</b>';
}else{
$insert_img = '<b style="color: #F44336;">Отключено</b>';
}
if($config_automatic_movie_other['title_type']=='1'){
$selected_1 = 'selected';
}else if($config_automatic_movie_other['title_type']=='2'){
$selected_2 = 'selected';
}else if($config_automatic_movie_other['title_type']=='3'){
$selected_3 = 'selected';
}

if($config_automatic_movie_other['meta_title']=='1'){
$selected_meta_title_1 = 'selected';
}else if($config_automatic_movie_other['meta_title']=='2'){
$selected_meta_title_2 = 'selected';
}else if($config_automatic_movie_other['meta_title']=='3'){
$selected_meta_title_3 = 'selected';
}

if($config_automatic_movie_other['keywords_type']=='1'){
$selected_keywords_1 = 'selected';
}else if($config_automatic_movie_other['keywords_type']=='2'){
$selected_keywords_2 = 'selected';
}else if($config_automatic_movie_other['keywords_type']=='3'){
$selected_keywords_3 = 'selected';
}

if($config_automatic_movie_other['description_type']=='1'){
$selected_description_1 = 'selected';
}else if($config_automatic_movie_other['description_type']=='2'){
$selected_description_2 = 'selected';
}else if($config_automatic_movie_other['description_type']=='3'){
$selected_description_3 = 'selected';
}

echo <<<HTML
<form action="$PHP_SELF?mod=automatic_movie&action=save_other" method="post" class="systemsettings">
<div id="security" class="panel panel-flat" style="">
  <div class="panel-body alert alert-info alert-styled-left alert-arrow-left alert-component">
    Другие настройки
  </div>
  <div class="table-responsive">
  <table class="table table-striped"><tbody>
		<tr>
        <td class="col-xs-6 col-sm-6 col-md-7"><h6 class="media-heading text-semibold">{$save_img}</h6>
		<span class="text-muted text-size-small hidden-xs">Загружать изображения на сервер?</span></td>
        <td class="col-xs-6 col-sm-6 col-md-5">
<input class="switch save_img" type="checkbox" name="save_con[save_img]" {$checked_save_img} data-switchery="true" style="display: none;">
		</td>
		</tr>
		<tr>
        <td class="col-xs-6 col-sm-6 col-md-7"><h6 class="media-heading text-semibold">{$insert_img}</h6>
		<span class="text-muted text-size-small hidden-xs">Вставлять изображения в короткую новость?</span></td>
        <td class="col-xs-6 col-sm-6 col-md-5">
<input class="switch insert_img" type="checkbox" name="save_con[insert_img]" {$checked_insert_img} data-switchery="true" style="display: none;">
		</td>
		</tr>
		<tr>
        <td class="col-xs-6 col-sm-6 col-md-7"><h6 class="media-heading text-semibold">Заголовок публикаций</h6>
		<span class="text-muted text-size-small hidden-xs">Выберите как будет выглядит заголовок публикации</span></td>
        <td class="col-xs-6 col-sm-6 col-md-5">
		<div class="btn-group bootstrap-select uniform">
		<select class="uniform" name="save_con[title_type]" tabindex="-98">
<option value="1" {$selected_1} >Рус.Названия</option>
<option value="2" {$selected_2} >Рус.Названия Год</option>
<option value="3" {$selected_3} >Рус.Названия Год (Ориг.Названия)</option>
</select></div></td>
        </tr>
		<tr>
        <td class="col-xs-6 col-sm-6 col-md-7"><h6 class="media-heading text-semibold">Meta Title</h6>
		<span class="text-muted text-size-small hidden-xs">Генерация meta name="title"</span></td>
        <td class="col-xs-6 col-sm-6 col-md-5">
	<input type="text" name="save_con[pre_meta_title]" value="{$config_automatic_movie_other['pre_meta_title']}" class="form-control">	
		<div class="btn-group bootstrap-select uniform">
		<select class="uniform" name="save_con[meta_title]" tabindex="-98">
<option value="1" {$selected_meta_title_1} >Рус.Названия</option>
<option value="2" {$selected_meta_title_2} >Рус.Названия Год</option>
<option value="3" {$selected_meta_title_3} >Рус.Названия Год (Ориг.Названия)</option>
</select></div>
<input type="text" name="save_con[suf_meta_title]" value="{$config_automatic_movie_other['suf_meta_title']}" class="form-control">
       </td>
        </tr>
		<tr>
        <td class="col-xs-6 col-sm-6 col-md-7"><h6 class="media-heading text-semibold">Meta Keywords</h6>
		<span class="text-muted text-size-small hidden-xs">Генерация meta name="keywords"</span></td>
        <td class="col-xs-6 col-sm-6 col-md-5">
		<div class="btn-group bootstrap-select uniform">
		<select class="uniform" name="save_con[keywords_type]" tabindex="-98">
<option value="1" {$selected_keywords_1} >Meta Title</option>
<option value="2" {$selected_keywords_2} >Meta Title & Категории</option>
<option value="3" {$selected_keywords_3} >Meta Title & Категории & Описание</option>
</select></div></td>
        </tr>
		<tr>
        <td class="col-xs-6 col-sm-6 col-md-7"><h6 class="media-heading text-semibold">Meta Description</h6>
		<span class="text-muted text-size-small hidden-xs">Генерация meta name="description"</span></td>
        <td class="col-xs-6 col-sm-6 col-md-5">
		<div class="btn-group bootstrap-select uniform">
		<select class="uniform" name="save_con[description_type]" tabindex="-98">
<option value="1" {$selected_description_1} >Описание</option>
<option value="2" {$selected_description_2} >Meta Title & Описание</option>
<option value="3" {$selected_description_3} >Meta Title & Категории & Описание</option>
</select></div></td>
        </tr>
		
		<tr>
        <td class="col-xs-6 col-sm-6 col-md-7"><h6 class="media-heading text-semibold">Обрезать короткую новость</h6>
		<span class="text-muted text-size-small hidden-xs">Введите количество символов для короткой новости</span></td>
        <td class="col-xs-6 col-sm-6 col-md-5">
		<input type="number" name="save_con[short_story_limit]" value="{$config_automatic_movie_other['short_story_limit']}" class="form-control" style="max-width:150px; text-align: center;" autocomplete="off" >	
	    </td>
        </tr>
		
		</tbody>
		</table>
		</div>
		</div>

<div class="box-footer padded">
                   <input type="hidden" name="user_hash" value="{$dle_login_hash}" />
					<button type="submit" class="btn bg-teal btn-raised position-left legitRipple"><i class="fa fa-floppy-o position-left"></i>{$lang['user_save']}</button>
				</div>

			</form>
	
	<br> 
HTML;

echofooter();
}

if ($action == "cat") {

$option_cat = '';
foreach ($cat_info as $value) {
   $option_cat .= '<option value="'.$value["id"].'" '.(($config_automatic_movie_cat['cat'] == $value["id"]) ? 'selected' : '').' >'.$value["name"].'</option>';
}


if($config_automatic_movie_cat['allow_auto_cat']=='on'){
$checked_allow_auto_cat = 'checked';
$allow_auto_cat = '<b style="color: #4CAF50;">Включено</b>';
}else{
$allow_auto_cat = '<b style="color: #F44336;">Отключено</b>';
}

$rec_cat_1 = json_decode('[{"id":41,"name":"Блокбастер"},{"id":39,"name":"Арт-хаус"},{"id":38,"name":"Мюзикл"},{"id":37,"name":"Детский"},{"id":36,"name":"Мистический"},{"id":34,"name":"Полнометражный"},{"id":33,"name":"Семейный"},{"id":32,"name":"Военный"},{"id":29,"name":"Вестерн"},{"id":6,"name":"Фэнтези"}]', true);
$rec_cat_2 = json_decode('[{"id":23,"name":"Спортивный"},{"id":22,"name":"Русский"},{"id":19,"name":"Комедия"},{"id":17,"name":"Боевик"},{"id":13,"name":"Триллер"},{"id":11,"name":"Фантастика"},{"id":10,"name":"Зарубежный"},{"id":9,"name":"Приключения"},{"id":8,"name":"Мелодрама"},{"id":7,"name":"Драма"}]', true);
$rec_cat_3 = json_decode('[{"id":28,"name":"Исторический"},{"id":27,"name":"Биографический"},{"id":26,"name":"Ужасы"},{"id":25,"name":"Криминал"},{"id":24,"name":"Детектив"},{"id":106,"name":"Путешествия"},{"id":72,"name":"Развлекательный"},{"id":55,"name":"Эротика"},{"id":54,"name":"Документальный"},{"id":53,"name":"Короткометражный"}]', true);

$rec_cat_god = array(date("Y"));
for ($i = 1; $i <= 5; $i++) {
    $rec_cat_god[] = $rec_cat_god[0]-$i;
}

echo <<<HTML
<form action="$PHP_SELF?mod=automatic_movie&action=save_cat" method="post" class="systemsettings">
<div id="security" class="panel panel-flat" style="">
  <div class="panel-body alert alert-info alert-styled-left alert-arrow-left alert-component">
    Настройка категорий   
  </div>
  <div class="table-responsive">
  <table class="table table-striped"><tbody>
		<tr>
        <td class="col-xs-6 col-sm-6 col-md-7"><h6 class="media-heading text-semibold">Категория по умолчанию</h6>
		<td class="col-xs-6 col-sm-6 col-md-5">
		<div class="btn-group bootstrap-select uniform">
		<select class="uniform" name="save_con[cat]" tabindex="-98">
          <option class="uniform" value="">Не выбрано</option> 
		  {$option_cat}
       </select>
       </div></td>
        </tr>
		<tr>
        <td class="col-xs-6 col-sm-6 col-md-7"><h6 class="media-heading text-semibold">{$allow_auto_cat}</h6>
		<span class="text-muted text-size-small hidden-xs">Подставлять категории автоматически?</span></td>
        <td class="col-xs-6 col-sm-6 col-md-5">
<input class="switch allow_auto_cat" type="checkbox" name="save_con[allow_auto_cat]" {$checked_allow_auto_cat} data-switchery="true" style="display: none;">
		</td>
        </tr>
		</tbody>
		</table>
		</div>
		</div>

<div class="box-footer padded">
                   <input type="hidden" name="user_hash" value="{$dle_login_hash}" />
					<button type="submit" class="btn bg-teal btn-raised position-left legitRipple"><i class="fa fa-floppy-o position-left"></i>{$lang['user_save']}</button>
				</div>

			</form>
	
	<br> 
<div id="security" class="panel" >
 <div class="panel-body alert alert-warning alert-styled-left alert-arrow-left alert-component">
  Рекомендуем создать категории: <a href="$PHP_SELF?mod=categories"  target="_blank" class="tip legitRipple" title="" data-original-title="Создание и управление категориями в новостях"><i class="fa fa-plus-circle"></i> Добавить новую категорию</a>
  </div>
HTML;
echo '<ul class="list-group col-lg-3 panel">';
	   foreach ($rec_cat_2 as  $value_cat_2) {
  echo '<li class="list-group-item">'.$value_cat_2['name'].'</li>'; 
}
echo '</ul>
<ul class="list-group col-lg-3 panel">';
   foreach ($rec_cat_1 as  $value_cat_1) {
  echo '<li class="list-group-item">'.$value_cat_1['name'].'</li>'; 
}
echo '</ul>
<ul class="list-group col-lg-3 panel">';
   foreach ($rec_cat_3 as  $value_cat_3) {
  echo '<li class="list-group-item">'.$value_cat_3['name'].'</li>'; 
}
echo '</ul>
<ul class="list-group col-lg-3 panel">
<li class="list-group-item">Кинофильмы</li>
<li class="list-group-item">Сериалы</li>
<li class="list-group-item">Мультфильмы</li>
<li class="list-group-item">Аниме</li>';
   foreach ($rec_cat_god as  $value_god) {
echo '<li class="list-group-item">'.$value_god.' Год</li>'; 
  }
echo '</ul>
</div>';

echofooter();
}

if ($action == "xf") {

$xfields = xfieldsload();

$arr_my_x = array('title'=>'Рус. названия',
'title_eng'=>'Анг. названия',
'year'=>'Год',
'slogan'=>'Слоган',
'age'=>'Возраст',
'type'=>'Тип(фильм/сериал/аниме/…) ',
'quality'=>'Качество',
'imdb_rating'=>'Imdb  рейтинг',
'kinopoisk_rating'=>'Kinopoisk рейтинг',
'time'=>'Продолжительность',
'premier'=>'Примера',
'budget'=>'Бюджет',
'iframe_url'=>'<b>Ссылка для iframe(видео)</b>',
'trailers_url'=>'<b>Ссылка для iframe(трейлер)</b>',
'voiceActing'=>'Озвучка',
'poster'=>'Ссылка изображения(Постер)',
'country'=>'Страна',
'director'=>'Режиссеры',
'screenwriter'=>'Сценаристы ',
'producer'=>'Продюсеры',
'operator'=>'Операторы',
'composer'=>'Композиторы',
'design'=>'Художники ',
'editor'=>'Монтажеры ',
'actors'=>'Акторы'
);


$tr_xfields = '';
foreach ($arr_my_x as $kye => $value) {
$option_xfields = '';
foreach ( $xfields as $value_xf ) {
	$xfields_name[$value_xf[0]] = $value_xf[1];
 $option_xfields .= '<option value="'.$value_xf[0].'" '.(($config_automatic_movie_xf[$kye] == $value_xf[0]) ? 'selected' : '').' >'.$value_xf[1].'</option>';
	} 
	
$tr_xfields .='<tr>
        <td class="col-xs-6 col-sm-6 col-md-7"><h6 class="media-heading text-semibold">'.$value.'</h6>
		<td class="col-xs-6 col-sm-6 col-md-5">
		<div class="btn-group bootstrap-select uniform">
		<select class="uniform" name="save_con['.$kye.']" tabindex="-98">
		<option class="uniform" value="">Не выбрано</option> 
          '.$option_xfields.'
       </select>
       </div></td>
       </tr>';
}

echo <<<HTML
<form action="$PHP_SELF?mod=automatic_movie&action=save_xf" method="post" class="systemsettings">
<div id="security" class="panel panel-flat" style="">
  <div class="panel-body alert alert-info alert-styled-left alert-arrow-left alert-component">
    Настройки доп. полей <a href="$PHP_SELF?mod=xfields&xfieldsaction=configure"  target="_blank" class="tip legitRipple" title="" data-original-title="Управление доп. полями новостей"><i class="fa fa-plus-circle"></i> Добавить новое доп. поле</a>
  </div>
  <div class="table-responsive">
  <table class="table table-striped"><tbody>
    {$tr_xfields}
		</tbody>
		</table>
		</div>
		</div>

<div class="box-footer padded">
                   <input type="hidden" name="user_hash" value="{$dle_login_hash}" />
					<button type="submit" class="btn bg-teal btn-raised position-left legitRipple"><i class="fa fa-floppy-o position-left"></i>{$lang['user_save']}</button>
				</div>

			</form>
	
	<br> 
HTML;

echofooter();
}

/* if ($action == "info") {
echo <<<HTML
<div id="security" class="panel panel-flat" style="">
  <div class="panel-body alert alert-info alert-styled-left alert-arrow-left alert-component">
   Краткая инструкция по использованию
  </div>
 <div class="panel-body">
 
</div>
</div>


HTML;
echofooter();
} */

if ($action == "save") {
    
    if ($_REQUEST['user_hash'] == "" or $_REQUEST['user_hash'] != $dle_login_hash) {   
        die("Hacking attempt! User not found");    
    }
    
    if ($member_id['user_group'] != 1) {
        msg("error", $lang['opt_denied'], $lang['opt_denied']);
    }
	$save_con = $_POST['save_con'];

    $find = "'\n'";
	$replace[] = "";
	
    $handler = fopen(MODULE_DIR.'/config/automatic_movie.php', "w");
    
    fwrite($handler, "<?PHP \n\n//Automatic Movie\n\n\$config_automatic_movie = array (\n\n");
	foreach ($save_con as $name => $value) {
        fwrite($handler, "'{$name}' => \"{$value}\",\n\n");
    }
	fwrite($handler, ");\n\n?>");
    fclose($handler);
    
    clear_cache();
    msg("info", $lang['opt_sysok'], "<font color=\"green\"><b>{$lang['opt_sysok_1']}</b></font>", "$PHP_SELF?mod=automatic_movie");
}

if ($action == "save_other") {
    
    if ($_REQUEST['user_hash'] == "" or $_REQUEST['user_hash'] != $dle_login_hash) {   
        die("Hacking attempt! User not found");    
    }
    
    if ($member_id['user_group'] != 1) {
        msg("error", $lang['opt_denied'], $lang['opt_denied']);
    }
	$save_con = $_POST['save_con'];

    $find = "'\n'";
	$replace[] = "";
	
    $handler = fopen(MODULE_DIR.'/config/automatic_movie_other.php', "w");
    
    fwrite($handler, "<?PHP \n\n//Automatic Movie\n\n\$config_automatic_movie_other = array (\n\n");
	foreach ($save_con as $name => $value) {
        fwrite($handler, "'{$name}' => \"{$value}\",\n\n");
    }
	fwrite($handler, ");\n\n?>");
    fclose($handler);
    
    clear_cache();
    msg("info", $lang['opt_sysok'], "<font color=\"green\"><b>{$lang['opt_sysok_1']}</b></font>", "$PHP_SELF?mod=automatic_movie&action=other");
}

if ($action == "save_cat") {
    
    if ($_REQUEST['user_hash'] == "" or $_REQUEST['user_hash'] != $dle_login_hash) {   
        die("Hacking attempt! User not found");    
    }
    
    if ($member_id['user_group'] != 1) {
        msg("error", $lang['opt_denied'], $lang['opt_denied']);
    }
	$save_con = $_POST['save_con'];

    $find = "'\n'";
	$replace[] = "";
	
    $handler = fopen(MODULE_DIR.'/config/automatic_movie_cat.php', "w");
    
    fwrite($handler, "<?PHP \n\n//Automatic Movie\n\n\$config_automatic_movie_cat = array (\n\n");
	foreach ($save_con as $name => $value) {
        fwrite($handler, "'{$name}' => \"{$value}\",\n\n");
    }
	fwrite($handler, ");\n\n?>");
    fclose($handler);
    
    clear_cache();
    msg("info", $lang['opt_sysok'], "<font color=\"green\"><b>{$lang['opt_sysok_1']}</b></font>", "$PHP_SELF?mod=automatic_movie&action=cat");
}

if ($action == "save_xf") {
    
    if ($_REQUEST['user_hash'] == "" or $_REQUEST['user_hash'] != $dle_login_hash) {   
        die("Hacking attempt! User not found");    
    }
    
    if ($member_id['user_group'] != 1) {
        msg("error", $lang['opt_denied'], $lang['opt_denied']);
    }
	$save_con = $_POST['save_con'];

    $find = "'\n'";
	$replace[] = "";
	
    $handler = fopen(MODULE_DIR.'/config/automatic_movie_xf.php', "w");
    
    fwrite($handler, "<?PHP \n\n//Automatic Movie\n\n\$config_automatic_movie_xf = array (\n\n");
	foreach ($save_con as $name => $value) {
        fwrite($handler, "'{$name}' => \"{$value}\",\n\n");
    }
	fwrite($handler, ");\n\n?>");
    fclose($handler);
    
    clear_cache();
    msg("info", $lang['opt_sysok'], "<font color=\"green\"><b>{$lang['opt_sysok_1']}</b></font>", "$PHP_SELF?mod=automatic_movie&action=xf");
}

